package com.caimei365.user.mapper;

import com.caimei365.user.model.vo.UserLoginVo;
import org.apache.ibatis.annotations.Mapper;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/24
 */
@Mapper
public interface SellerMapper {
    /**
     * 根据手机号获取协销
     * @param mobile 手机号
     * @return UserLoginVo
     */
    UserLoginVo getLoginSellerByMobile(String mobile);

    /**
     * 更新协销
     * @param userId
     * @param openId
     * @param unionId
     */
    void updateServiceProviderByUserId(Integer userId, String openId, String unionId);
}
